/**********************************************************************
  Pacific Coast Harvest Model - a coastal piscatorial simulation
  Copyright (C) 1998  Troy Frever, Columbia Basin Research, University of Washington
     
  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
     
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  For questions regarding this program, please contact:

  Troy Frever or Jim Norris
  UW Columbia Basin Research
  Box 358218
  University of Washington
  Seattle, WA  98195
  troy@u.washington.edu

**********************************************************************/


// CeilingPolicy.h

#ifndef CEILING_POLICY_H
#define CEILING_POLICY_H

// the CeilingPolicy class handles harvesting using simple ceiling
// management for a group of fisheries.  fisheries which harvest only
// during one logical phase have "simple" ceiling management.  those
// fisheries which harvest in more than one phase are considerably
// more difficult to handle, and are referred to as "multiceiling" or
// "multiphase" fisheries.  the MultiCeilingPolicy class handles the
// harvesting for those fisheries.


#include "Policy.h"

class CeilingPolicy : public Policy {
  public:
    CeilingPolicy(const FisheryList &flist) : Policy(flist) {}
    virtual ~CeilingPolicy() {}

    // new style harvest fn, all timesteps
    virtual void takeHarvests(); 
};


#endif
