/**********************************************************************
  Pacific Coast Harvest Model - a coastal piscatorial simulation
  Copyright (C) 1998  Troy Frever, Columbia Basin Research, University of Washington
     
  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
     
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  For questions regarding this program, please contact:

  Troy Frever or Jim Norris
  UW Columbia Basin Research
  Box 358218
  University of Washington
  Seattle, WA  98195
  troy@u.washington.edu

**********************************************************************/


#ifndef GenArrayTokens_H
#define GenArrayTokens_H

#include <rw/cstring.h>

// cohort tokens also include here for convenience
#include "CohortTokens.h"

class GenArrayTokens {
  public:
	// generic index specifiers
    static const RWCString YEAR;
    static const RWCString YEARS;
    static const RWCString TIME;
    static const RWCString TIMES;
    static const RWCString REGION;
    static const RWCString REGIONS;
    static const RWCString STOCK;
    static const RWCString STOCKNUM;
    static const RWCString STOCKS;
    static const RWCString FISHERY;
    static const RWCString FISHERIES;
    static const RWCString AGE;
    static const RWCString AGES;
    static const RWCString RUN;

	// generic array types
    static const RWCString STOCKAGETIME;
    static const RWCString STOCKYEAR;
    static const RWCString STOCKYEARTIMEREGION;
    static const RWCString STOCKYEARAGETIME;
    static const RWCString STOCKYEARAGETIMEREGION;
    static const RWCString STOCKYEARAGETIMEMATURITY;
    static const RWCString XFISHERY;
    static const RWCString FISHERYYEAR;
    static const RWCString FISHERYREGIONTIMESTOCKAGE;
    static const RWCString FISHERYREGIONTIMESTOCKAGEMARK;
    static const RWCString FISHERYYEARAGE;
    static const RWCString FISHERYYEARSTOCK;
    static const RWCString FISHERYYEARSTOCKAGE;
    static const RWCString FISHERYYEARRUNAGE;
    static const RWCString MATURITYTIME;
    static const RWCString RUNAGEMATURITYTIME;
};

#endif // GenArrayTokens_H
