/**********************************************************************
  Pacific Coast Harvest Model - a coastal piscatorial simulation
  Copyright (C) 1999  Troy Frever, Columbia Basin Research, University of Washington
     
  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
     
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  For questions regarding this program, please contact:

  Troy Frever or Jim Norris
  UW Columbia Basin Research
  Box 358218
  University of Washington
  Seattle, WA  98195
  troy@u.washington.edu

**********************************************************************/


// pragma.h - compiler warning message suppression and other
//  environmental control doodads, especially to enable cross-platform
//  compilation from one code base. No application code here, please.

#ifndef Pragma_H
#define Pragma_H

#ifdef WIN32

// RogueWave HashMap collection classes produce incredible strings
//  of warning messages on MSVC++ 6.0. As far as I can tell they can
//  safely be ignored.
#pragma warning( disable : 4786 )
#pragma warning( disable : 4284 )

// This warning complains that certain RogueWave collection classes
// do not have a dll interface, which doesn't make any difference to 
// us, even when creating dlls.
#pragma warning( disable : 4251 )

// This is an MSVC++ 6.0 warning about a performance issue that is
//  trivial in my view.
#pragma warning( disable : 4800 )

#endif  // WIN32

#endif // Pragma_H

